PHP is among the most commonly used open-source server-side coding languages. It’s quite popular because it’s free software, which can be used to create responsive websites like community portals, online shops or online learning portals as opposed to static HTML sites. A PHP module should be installed on the server where a PHP-powered site is hosted so that its source code can be read. Because there aren’t any license fees for this type of module and the language itself provides incalculable possibilities for the apps that you create, there are 100s of millions of PHP sites. What’s more, there’re a large number of PHP-based scripts, which you can use for your websites without needing to have any programming skills. Considering the fact that there are a handful of PHP versions, you should verify if the exact same version that you used whilst developing your website is enabled on the web server too.

PHP 4 and PHP 5 Support in Website Hosting

If you order a website hosting plan from us, you won’t ever need to ask yourself if your sites are compatible with the hosting environment, as different PHP versions are activated on our servers for your convenience. The Hepsia Control Panel will permit you to select PHP 5.5, 5.4, 5.3, 5.2 or 4 with just one click and if you want to change the current version, the new settings will take effect straight away. Thus, several years of work on websites created with an older PHP version won’t go down the tubes. Our web hosting platform will even permit you to use a different version of PHP for each domain name hosted in your account, which suggests that you can use older and newer scripts at the same time. Most web hosting companies on the market offer support for one, sometimes for two versions of PHP. In stark contrast with them, we strongly deem that you should be the one to pick the version that your very own sites will use.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Our Linux semi-dedicated hosting packages support multiple versions of PHP, which means that you’ll be able to run all the web apps that you’ve set up over the years. The Hepsia Control Panel, which comes with each account, will permit you to enable the required version with just one mouse click. You can pick between PHP 4, 5.2, 5.3, 5.4 and 5.5. In case you would like to host multiple sites under one and the very same account and they have distinct requirements regarding the hosting environment, you will be able to specify a different version for each of them regardless of which version is enabled for the account itself. This is achievable thanks to our custom-developed cloud web hosting platform, which allows us to run several versions of PHP all at the same time. In stark contrast, the majority of web hosts typically support one, in extremely rare cases – two versions.